Description

In previous versions (Almirah gem version <= 0.2.0) there were two options to define document title:

1. Pandoc title format (% Title)

2. First heading level 1 in the document (# Title)

At the same time document title was considered as heading level 0 and was not numerated. It lead to the mess how to process two

heading 1 elements with no pandoc title (first one was considered as level 0, second one as level 1).

The following was decided:

1. The only pandoc title is level 0 section (not numerated)

2. If there is no pandoc title - the first section (any level) is considered as a document title

3. But this section (the first one) has its level (not level 0)

Subtasks:

DocTask # 105: Pandoc title format for Almirah doc title Closed

CodeTask # 106: Pandoc title format for Almirah doc title Closed

History

#1 - 06/07/2024 10:46 PM - Oleksandr Ivanov

- Subtask #105 added

#2 - 06/07/2024 10:50 PM - Oleksandr Ivanov

- Subtask #106 added

#3 - 06/09/2024 01:26 PM - Oleksandr Ivanov

- Status changed from New to Closed

Almirah gem version 0.2.1 was released.
